Skip to main content

Retrieving Shop Data

Getting shopId​

To retrieve shop data through the PayU API, you need the shop's shopId, which you can find in the management panel. In the My shops tab, click the shop name on its tile.

shop-details-btn

The Shop data tab opens. Copy the Shop ID value.

shop-details-tab

With the shopId, you can retrieve the shop data needed to create a payout.

Authenticating the Request​

To retrieve shop data, authenticate the request with an OAuth token obtained using the client_credentials grant type. Generate the token with the configuration keys of the point of sale (POS) that belongs to the shop whose data you want to retrieve.

Retrieving Shop Data​

GET Request Body

When making GET requests, please remember not to include any data in the request body, as specified in the RFC 9110 standard. Requests that do not adhere to this requirement will be rejected by PayU with an HTTP 403 status.

To retrieve the data of a shop, send an HTTP GET request to the /api/v2_1/shops/{shopId} endpoint.

Example of a Shop Data Retrieval Request
curl -X GET https://secure.payu.com/api/v2_1/shops/QFw0KGSX \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer 3e5cac39-7e38-4139-8fd6-30adc06a61bd'
Example of a Shop Data Retrieval Response
{
"shopId": "QFw0KGSX",
"name": "Shop Checkout",
"currencyCode": "PLN",
"balance": {
"currencyCode": "PLN",
"total": "220839",
"available": "220839"
}
}

The response contains the shop identifier, the shop name, and the balance object with the parameters you need to create a payout:

  • total – the current shop balance;
  • available – the funds available for payout, that is, the balance after deducting the payout block/reserve.

For details about the parameters, see the Retrieve Shop Data section in our API Reference.

Now that you have the shop's shopId and know its available balance, you can proceed to create a payout.